﻿@model CoinPaymentsTestViewModel
@{
    ViewBag.Title = "Index";
}

<br />
<br />

<div class="container">
    <div class="row">
        <div class="col-md-12">
            @{
                var imgSrc = String.Format("data:image/png;base64,{0}", Model.QR);
            }
            <img src="@imgSrc" alt="1" title="1"/>
            @if (Model.BasicInfo != null)
            {
                if (Model.BasicInfo.result != null)
                {
                    <h4>CoinPayments Basic Account Info Test</h4>
                    <div class="table-responsive">
                        <table class="table">
                            <thead>
                                <tr>
                                    <th>Email</th>
                                    <th>Merchant Id</th>
                                    <th>Public name</th>
                                    <th>Username</th>
                                </tr>
                            </thead>
                            <tbody>
                                <tr>
                                    <td>@Model.BasicInfo.result.email</td>
                                    <td>@Model.BasicInfo.result.merchant_id</td>
                                    <td>@Model.BasicInfo.result.public_name</td>
                                    <td>@Model.BasicInfo.result.username</td>
                                </tr>
                            </tbody>
                        </table>
                    </div>
                }
                else
                {
                    <p>@Model.BasicInfo.error</p>
                }
            }
            <hr />
            @if (Model.Callback != null)
            {
                if (Model.Callback.result != null)
                {
                    <h4>CoinPayments Callback Address Test</h4>
                    <div class="table-responsive">
                        <table class="table">
                            <thead>
                                <tr>
                                    <th>Address</th>
                                    <th>Destination tag</th>
                                    <th>Public key</th>
                                </tr>
                            </thead>
                            <tbody>
                                <tr>
                                    <td>@Model.Callback.result.address</td>
                                    <td>@Model.Callback.result.dest_tag</td>
                                    <td>@Model.Callback.result.pubkey</td>
                                </tr>
                            </tbody>
                        </table>
                    </div>
                }
                else
                {
                    <p>@Model.Callback.error</p>
                }
            }
            <hr />
            @if (Model.Deposit != null)
            {
                if (Model.Deposit.result != null)
                {
                    <h4>CoinPayments Deposit Address Test</h4>
                    <div class="table-responsive">
                        <table class="table">
                            <thead>
                                <tr>
                                    <th>Address</th>
                                    <th>Destination tag</th>
                                    <th>Public key</th>
                                </tr>
                            </thead>
                            <tbody>
                                <tr>
                                    <td>@Model.Deposit.result.address</td>
                                    <td>@Model.Deposit.result.dest_tag</td>
                                    <td>@Model.Deposit.result.pubkey</td>
                                </tr>
                            </tbody>
                        </table>
                    </div>
                }
                else
                {
                    <p>@Model.Deposit.error</p>
                }
            }
            @if (Model.CreateTransaction != null)
            {
                if (Model.CreateTransaction.result != null)
                {
                    <h4>CoinPayments Create Transaction Test</h4>
                    <div class="table-responsive">
                        <table class="table">
                            <thead>
                                <tr>
                                    <th>Address</th>
                                    <th>Destination tag</th>
                                    <th>Amount</th>
                                    <th>Confirms Needed</th>
                                    <th>QR Code</th>
                                    <th>Status Url</th>
                                    <th>Timeout</th>
                                    <th>CoinPayments Id</th>
                                </tr>
                            </thead>
                            <tbody>
                                <tr>
                                    <td>@Model.CreateTransaction.result.address</td>
                                    <td>@Model.CreateTransaction.result.dest_tag</td>
                                    <td>@Model.CreateTransaction.result.amount</td>
                                    <td>@Model.CreateTransaction.result.confirms_needed</td>
                                    <td><img src="@Model.CreateTransaction.result.qrcode_url" /></td>
                                    <td><a href="@Model.CreateTransaction.result.status_url">See status</a></td>
                                    <td>@Model.CreateTransaction.result.timeout</td>
                                    <td>@Model.CreateTransaction.result.txn_id</td>
                                </tr>
                            </tbody>
                        </table>
                    </div>
                }
                else
                {
                    <p>@Model.CreateTransaction.error</p>
                }
            }
        </div>
    </div>
</div>
